Summary:	FastCGI development kit - shared libraries
Summary(pl.UTF-8):	Zestaw dla programistów FastCGI - biblioteki współdzielone
Name:		fcgi
Version:	2.4.0
Release:	4
License:	distributable
Group:		Libraries
Source0:	http://www.fastcgi.com/dist/%{name}-%{version}.tar.gz
# Source0-md5:	d15060a813b91383a9f3c66faf84867e
Patch0:		%{name}-no-libs.patch
Patch1:		%{name}-listen-backlog.patch
Patch2:		%{name}-includes.patch
URL:		http://www.fastcgi.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 2:1.4d-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/fastcgi

%description
FastCGI is an open extension to CGI that provides high performance for
all Internet applications without the penalties of Web server APIs.

FastCGI is designed to be layered on top of existing Web server APIs.
For instance, the mod_fastcgi Apache module adds FastCGI support to
the Apache server. FastCGI can also be used, with reduced
functionality and reduced performance, on any Web server that supports
CGI.

This FastCGI Developer's Kit is designed to make developing FastCGI
applications easy. The kit currently supports FastCGI applications
written in C/C++, Perl, Tcl, and Java.

This package contains only shared libraries used by programs developed
using FastCGI Developer's Kit and cgi-fcgi (bridge from CGI to
FastCGI).

%description -l pl.UTF-8
FastCGI to otwarte rozszerzenie CGI dające wysoką wydajność dla
wszystkich aplikacjach internetowych bez obciążania API serwera WWW.

FastCGI został zaprojektowany "na wierzchu" istniejących API serwerów.
Na przykład, moduł Apache mod_fastcgi dodaje obsługę FastCGI do serwera
Apache. FastCGI może być używany, ze zmniejszoną funkcjonalnością
i wydajnością, z dowolnym serwerem obsługującym CGI.

Zestaw Programisty FastCGI jest tak zaprojektowany, by uczynić łatwym
tworzenie aplikacji FastCGI. Aktualnie wspiera tworzenie aplikacji
FastCGI w C/C++, Perlu, Tcl i Javie.

Ten pakiet zawiera tylko biblioteki współdzielone używane przez programy
stworzone przy użyciu FastCGI developer's Kit oraz program cgi-fcgi
(bramkę pomiędzy CGI a FastCGI).

%package devel
Summary:	FastCGI development kit
Summary(pl.UTF-8):	Zestaw dla programistów FastCGI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	fastcgi-devkit

%description devel
This package contains FastCGI Developer's Kit, which is designed to
make developing FastCGI applications easy. The kit currently supports
FastCGI applications written in C/C++, Perl, Tcl, and Java.

%description devel -l pl.UTF-8
Ten pakiet zawiera Zestaw Programisty FastCGI, który jest tak
zaprojektowany, by uczynić łatwym tworzenie aplikacji FastCGI.
Aktualnie wspiera tworzenie aplikacji FastCGI w C/C++, Perlu, Tcl i
Javie.

%package static
Summary:	FastCGI static library
Summary(pl.UTF-8):	Statyczna biblioteka FastCGI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FastCGI static library.

%description static -l pl.UTF-8
Statyczna biblioteka FastCGI.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# supplied libtool is broken (relink, C++)
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

CPPFLAGS="-DLISTEN_BACKLOG=1024"
%configure \
	--with-global \
	--with-noassert \
	--with-nodebug \
	--with-notest

# parallel build broken: library is searched before it's built
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples/{Makefile*,*.c} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README LICENSE.TERMS doc/*.1
%attr(755,root,root) %{_bindir}/cgi-fcgi
%attr(755,root,root) %{_libdir}/libfcgi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfcgi.so.0
%attr(755,root,root) %{_libdir}/libfcgi++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfcgi++.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/*.htm* doc/*.gif doc/fastcgi-* doc/*.3
%attr(755,root,root) %{_libdir}/libfcgi.so
%attr(755,root,root) %{_libdir}/libfcgi++.so
%{_libdir}/libfcgi.la
%{_libdir}/libfcgi++.la
%{_includedir}
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libfcgi.a
%{_libdir}/libfcgi++.a
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fcgi.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 727ddfd
- x32 rebuild
- release 4 (by relup.sh)

* Sat Jan 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 4e93fed
- added includes patch (needed to build with current gcc/glibc - EOF define)
- parallel build broken
- more verbose files

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> a2114f2
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 35aba83
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b272e60
- converted to UTF-8

* Sat Dec 03 2005 Elan Ruusamäe <glen@pld-linux.org> b08a0f5
- large listen backlog
- unify examples dir
- rel 2

* Sat Dec 03 2005 Elan Ruusamäe <glen@pld-linux.org> c37770f
- allow larger listen() backlog

* Fri May 06 2005 Jakub Bogusz <qboosh@pld-linux.org> 6d936fc
- no whitespace at eols

* Tue Aug 31 2004 snurf <snurf@pld-linux.org> c2517a5
- typos / formatting / etc.

* Tue Jul 20 2004 Jakub Bogusz <qboosh@pld-linux.org> dd0fce2
- strict internal deps, dropped fastcgi-devkit Provides

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 9f2540b
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4715a37
- massive attack s/pld.org.pl/pld-linux.org/

* Sun May 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 20d696a
- updated to 2.4.0, updated no-libs patch

* Wed Dec 25 2002 Jakub Bogusz <qboosh@pld-linux.org> 585bfa0
- use fixed libtool instead of hacking *.la
- BR: libtool with C++ libraries support (>= 1.4d, not 1.4.x)

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> e989b77
- new %%doc

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> f193f2a
- massive attack: no need for 755 for *.la

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> 7fa55f4
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Fri May 03 2002 kloczek <kloczek@pld-linux.org> 17650ce
- cosmetics.

* Fri May 03 2002 Jakub Bogusz <qboosh@pld-linux.org> 34bb51d
- updated to 2.2.2
- renamed to fastcgi-devkit.spec to fcgi.spec, added -devel and -static
  (now it uses shared library)
- no-libs patch to avoid linking with unnecessary libs

